Bug 1280092 - AVC: systemd-networkd DHCP server
AVC: systemd-networkd DHCP server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 17:45 EST by Sylvain Pasche
Modified: 2015-11-26 15:58 EST (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-155.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-26 15:58:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sylvain Pasche 2015-11-10 17:45:06 EST
Description of problem:

This looks similar to bug 1227128, but this is on Fedora 23.

Version-Release number of selected component (if applicable):

Fedora Cloud 23.

How reproducible:

Use systemd-nspawn with the --network-veth option.

This will create a veth interface using a network configuration that runs a DHCP server.

/usr/lib/systemd/network/80-container-ve.network:
[...]
[Network]
# Default to using a /28 prefix, giving up to 13 addresses per container.
Address=0.0.0.0/28
LinkLocalAddressing=yes
DHCPServer=yes
IPMasquerade=yes

When it tries to do so, I'm getting an AVC:

Nov 10 23:01:20 fed audit[26433]: AVC avc:  denied  { name_bind } for  pid=26433 comm="systemd-network" src=67 scontext=system_u:system_r:systemd_networkd_t:s0 tcontext=system_u:object_r:dhcpd_port_t:s0 tclass=udp_socket permissive=0
Nov 10 23:01:20 fed systemd-networkd[26433]: ve-fedora: Could not start DHCPv4 server instance: Permission denied
Comment 2 Fedora Update System 2015-11-20 08:15:56 EST
selinux-policy-3.13.1-155.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0d84d6c75f
Comment 3 Fedora Update System 2015-11-22 09:26:06 EST
selinux-policy-3.13.1-155.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0d84d6c75f
Comment 4 Fedora Update System 2015-11-26 15:57:24 EST
selinux-policy-3.13.1-155.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.